import { GraphQLField } from 'graphql/type/definition';
import { GraphQLDirective } from 'graphql/type/directives';
import { GraphQLSchema } from 'graphql/type/schema';
import { FieldNode, DirectiveNode, VariableDefinitionNode } from 'graphql/language/ast';
/**
 * Prepares an object map of variableValues of the correct type based on the
 * provided variable definitions and arbitrary input. If the input cannot be
 * parsed to match the variable definitions, a GraphQLError will be thrown.
 */
export declare function getVariableValues(schema: GraphQLSchema, varDefNodes: Array<VariableDefinitionNode>, inputs: {
    [key: string]: mixed;
}): {
    [key: string]: mixed;
};
/**
 * Prepares an object map of argument values given a list of argument
 * definitions and list of argument AST nodes.
 */
export declare function getArgumentValues(def: GraphQLField<mixed, mixed> | GraphQLDirective, node: FieldNode | DirectiveNode, variableValues?: {
    [key: string]: mixed;
}): {
    [key: string]: mixed;
};
