import { FactoryMiddleware } from '../FactoryMiddleware';
import { GraphQLFieldConfigExt } from '../../type/object';
import { SchemaFactory } from '../SchemaFactory';
import { ObjectTypeDefinitionNode, GraphQLTypeResolver, GraphQLScalarType, FieldDefinitionNode } from 'graphql';
export declare const GraphQLCursor: GraphQLScalarType;
/**
 * Creates Connection & Edge types for all Node implementing types. This middleware
 * also provides the Node interface, Cursor scalar type, etc.
 */
export declare class RelayMiddleware extends FactoryMiddleware {
    private resolveNode;
    constructor(resolveNode: GraphQLTypeResolver<mixed, mixed>);
    /**
     * Add the Node interface and PageInfo and Cursor types
     */
    beforeBuild(factory: SchemaFactory): void;
    /**
     * If the type implements Node then create connection types for it.
     */
    wrapObjectNode(factory: SchemaFactory, definition: ObjectTypeDefinitionNode): ObjectTypeDefinitionNode;
    /**
     * For each field with a Node implementing type or a wrapper of a Node implementing type
     * such as NonNull or List replace the field with a connection
     */
    wrapObjectField(factory: SchemaFactory, _definition: ObjectTypeDefinitionNode, _field: FieldDefinitionNode, field: GraphQLFieldConfigExt<mixed, mixed>): GraphQLFieldConfigExt<mixed, mixed>;
}
