import { Middleware, ResolverContext } from './Middleware';
import { ExecutionContext } from '../execution/ExecutionContext';
export declare type FieldTimerTimeUnit = 'milli' | 'micro' | 'nano';
export declare class ResolverTimer implements Middleware<Map<string, number>, number, mixed> {
    private logger;
    private timeUnit;
    constructor(logger: (totalRunTime: number, resolverDurationMap: Map<string, number>) => mixed | void, timeUnit?: FieldTimerTimeUnit);
    beforeQuery(): Map<string, number>;
    beforeField(): number;
    afterField(mVal: Map<string, number>, fValue: number, _value: mixed, _eCtx: ExecutionContext, mCtx: ResolverContext<mixed>): undefined;
    afterQuery(mVal: Map<string, number>): void;
    private getTime();
}
