import { GraphQLDirective } from 'graphql/type';
/**
 * A decorator is directive specified on the schema.
 */
export declare type GraphQLDirectiveValueConfig = {
    name: string;
    description?: string;
    args: {
        [name: string]: mixed;
    };
};
export declare class GraphQLDirectiveValue {
    name: string;
    args: {
        [name: string]: mixed;
    };
    constructor(config: GraphQLDirectiveValueConfig);
    get(key: string): mixed;
}
/**
 * Used to declare element of a GraphQL schema as a relation.
 */
export declare const RelationKind: {
    HAS_MANY: string;
    HAS_ONE: string;
    BELONGS_TO: string;
    BELONGS_TO_MANY: string;
};
export declare const GraphQLRelationDirective: GraphQLDirective;
