import { GraphQLFieldResolver } from 'graphql';
import { ValueNode } from 'graphql/language/ast';
/**
 * For each object type
 */
export declare type TypeResolverMap<TSource, TContext> = {
    [typeName: string]: {
        [fieldName: string]: GraphQLFieldResolver<TSource, TContext>;
    };
};
export declare type FieldResolverMap = {
    [fieldName: string]: GraphQLFieldResolver<mixed, mixed>;
};
export declare type ScalarResolver<TInternal, TExternal> = {
    serialize: (value: mixed) => TExternal | null;
    parseValue?: (value: mixed) => TInternal | null;
    parseLiteral?: (valueAST: ValueNode) => TInternal | null;
};
export declare type ScalarResolverMap<TInternal, TExternal> = {
    [scalarName: string]: ScalarResolver<TInternal, TExternal>;
};
